# Webhook

## API Authorization <a href="#api-authorization" id="api-authorization"></a>

Before you can make requests to this resource, you must have a valid bearer token. Review our API [authorization guide](https://docs.korewireless.com/en-us/developers/api-management/auth) to learn how to generate a token. Here's a curl example of how to define your access token in a header:

{% code overflow="wrap" %}

```bash
curl -L "https://webhook.api.korewireless.com/v1/secrets" -H "Authorization: Bearer <YOUR_ACCESS_TOKEN>" 
```

{% endcode %}

{% hint style="warning" %}
The examples below do not show the required `Authorization` header due to a bug. We're working on fixing that. In the meantime, be sure to include that in all of your requests.
{% endhint %}

{% openapi src="<https://raw.githubusercontent.com/korewireless/kore-openapi/refs/heads/main/Webhook/yaml/kore-webhook-v1.yaml>" path="/v1/secrets" method="post" %}
<https://raw.githubusercontent.com/korewireless/kore-openapi/refs/heads/main/Webhook/yaml/kore-webhook-v1.yaml>
{% endopenapi %}

{% openapi src="<https://raw.githubusercontent.com/korewireless/kore-openapi/refs/heads/main/Webhook/yaml/kore-webhook-v1.yaml>" path="/v1/secrets" method="get" %}
<https://raw.githubusercontent.com/korewireless/kore-openapi/refs/heads/main/Webhook/yaml/kore-webhook-v1.yaml>
{% endopenapi %}

{% openapi src="<https://raw.githubusercontent.com/korewireless/kore-openapi/refs/heads/main/Webhook/yaml/kore-webhook-v1.yaml>" path="/v1/secrets/{id}" method="patch" %}
<https://raw.githubusercontent.com/korewireless/kore-openapi/refs/heads/main/Webhook/yaml/kore-webhook-v1.yaml>
{% endopenapi %}
